pyntor(1)

NAME

pyntor - modular slides viewer and presentation tool

SYNOPSIS

pyntor [OPTIONS] presentation-file|presentation-archive

DESCRIPTION

Pyntor is a presentation tool which can display slides and effects of various formats thanks to its collection of components which are loaded as specified in the presentation-file, commonly called script. Components can either affect the rendering or the input handling, or both. They are documented in detail in components.txt in the pyntor documentation directory, while this manual page tries to only briefly document the user interface to the program on the command line and some keyboard shortcuts to be used while the pyntor is running.

Since presentations are normally distributed as presentation-archive files, usually named *.pyntor, those too are accepted as parameters to pyntor. To learn about the creation of presentations and archives, see below for some references.

OPTIONS

-c, --components
    Creates and outputs a formatted list of slides, tracking the components in use like in a real presentation. Additionally, all components are checked for presence and usability. This option is mainly useful for debugging, but also to get a quick overview of a presentation.

-d, --direct=scriptline
    IF a presentation only uses a single component, no script needs to be created. Instead, the component invocation line which would normally be written into the script can be passed directly on the command line.

-x, --export=file.pdf|htmldir
    Exports a presentation to a (fixed-size) PDF file, if the option argument suffix is .pdf, or otherwise to a directory of PNG images and a simple HTML file with thumbnail preview images.

-w, --windowed
    When running the presentation, do not switch to fullscreen, but run in a window instead. This option is also mainly useful for debugging.

-v, --version
    Displays the version number of Pyntor.

-h, --help
    Displays a summary of all available command line options. This option works without providing a script.

-u, --usage
    Displays common usage scenarios so that the desired effect can be achieved quickly. The examples are for running a presentation and debugging one, respectively. This option works without providing a script.

SHORTCUTS

The following keyboard shortcuts are supported globally throughout Pyntor. Note that individual components can make use of additional shortcuts, please consult the component documentation about this.

F   Toggle between fullscreen mode and windowed mode for displaying slides.

P   Pyntor menu to allow jumping to arbitrary slides of the presentation.

S   Pyntor menu to allow type-as-you-find fulltext search, followed by slide jumping as with P. This is useful for the situation of having people reminded of some slide without knowing the page number after a talk.

T   Gadget displaying the clock time and already spent presentation time in the lower right corner of the screen. Consecutive presses of the T key will increase the brightness of the gadget, but usually the indicator is for the presenter and not for the audience.

AUTHORS

Josef Spillner <josef@coolprojects.org>

SEE ALSO
pyntor-components(1), pyntor-selfrun(1)